Unable to upgrade MySQL from 5.6.29 to 5.6.39
Posted by: Jørn Trebbien
Date: April 02, 2018 11:30AM

Hello,

I could really use some help, and please bear with me, as I am pretty new to all this.

Using Windows Server 2012 R2, I am unable to upgrade MySQL from 5.6.29 to anything higher within the 5.6.x.x range using the 'mysql-installer-community-5.6.x.x.msi'.

The installer main window reports that there is no new version and that I can use the catalog button. Clicking the catalog button and following the guide does not fix the issue as the guide reports there are no new updates and exits to the installer main window.

A post somewhere on these forums suggests that there is a bug in the installer and that uninstalling it and installing a new version would fix the issue. This is partially true. Uninstalling the installer and launching 'mysql-installer-community-5.6.39.0.msi' does indeed update the installer but the installer main window still reports nothing newer than 5.6.29. When hitting execute on the 'update catalog' page it reports: 'The newly downloaded product catalog was not applied because it does not contain any updates for the current product catalog'. Clicking next I now get a huge list of recent updates including the one that I would like to install (5.6.39) but when hitting finish I am back at the installer main window which still reports that I am using 5.6.29 and that there are no new updates. How do I update MySQL to version 5.6.39 using MySQL community installer for Windows?

As the Windows installer did not work out for me, I figured I might as well try to use the 64 bit 5.6.39 .zip package instead - also without luck. If I understand the upgrade guide correctly, I just need to extract the .zip package, remove the default data folder, and then move 'my.ini' and my actual 'data' folder to the extraction folder. However, MySQL hangs when starting the service. Running mysqld.exe via command prompt reports missing 'msvcr100.dll'. Googling that .dll points to the need for installing a 'Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package'. My next question is therefore, Why does the MySQL 5.6.39 .zip package want 'Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package' when MySQL community installer 5.6.29 works fine with 'Microsoft Visual C++ 2012 Service Pack 4 Redistributable Package'?

Best regards

Cinepod

Options: ReplyQuote


Subject
Views
Written By
Posted
Unable to upgrade MySQL from 5.6.29 to 5.6.39
1490
April 02, 2018 11:30AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.